#global prever r821

Name:           grfcodec
Version:        6.0.0
Release:        1%{?prever}%{?dist}
Summary:        A suite of programs to modify Transport Tycoon Deluxe's GRF files
Group:          Development/Tools
License:        GPLv2+
URL:            http://dev.openttdcoop.org/projects/grfcodec
Source0:        http://binaries.openttd.org/extra/grfcodec/%{version}/grfcodec-%{version}-source.tar.gz
#Source0:        http://binaries.openttd.org/extra/grfcodec-nightly/%{prever}/grfcodec-nightly-%{prever}-source.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel libpng-devel
Obsoletes:      nforenum < 4.0.0-2
Provides:       nforenum = 4.0.0-2


%description
A suite of programs to modify Transport Tycoon Deluxe's GRF files.


%prep
%setup -q


%build
cat << EOF >> Makefile.local
STRIP=true
V=1
CXXFLAGS=%{optflags}
prefix=%{_prefix}
DO_NOT_INSTALL_DOCS=1
DO_NOT_INSTALL_CHANGELOG=1
DO_NOT_INSTALL_LICENSE=1
EOF

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc changelog.txt COPYING
%doc docs/*.txt
%{_bindir}/grf*
%{_bindir}/nforenum
%{_mandir}/man1/grf*.1.gz
%{_mandir}/man1/nforenum.1.gz


%changelog
* Thu Mar 29 2012 Felix Kaechele <heffer@fedoraproject.org> - 6.0.0-1
- update to 6.0.0

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.2-4
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 5.1.2-2
- Rebuild for new libpng

* Sun Oct 23 2011 Felix Kaechele <heffer@fedoraproject.org> - 5.1.2-1
- update to 5.1.2

* Sun Jun 12 2011 Felix Kaechele <heffer@fedoraproject.org> - 5.1.1-1
- update to final 5.1.1 release

* Wed Feb 09 2011 Felix Kaechele <heffer@fedoraproject.org> - 5.1.1-0.1.r821
- update to new snapshot with png support

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.2.r772
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 21 2010 Felix Kaechele <heffer@fedoraproject.org> - 1.0.1-0.1.r772
- update to latest nightly build for support of latest grfcodec features
- nforenum is now part of grfcodec

* Fri Aug 27 2010 Felix Kaechele <heffer@fedoraproject.org> - 1.0.0-1
- update to new upstream release
- contains mostly fixes for downstream packagers (like us)

* Sat Mar 20 2010 Iain Arnell <iarnell@gmail.com> 0.9.11-0.4.r2306
- update to r2306 (fixes off-by-one error in byte escape)

* Fri Jan 15 2010 Iain Arnell <iarnell@gmail.com> 0.9.11-0.4.r2294
- update to r2294
- drop compile.patch fixes for gcc 4.4

* Mon Aug 24 2009 Iain Arnell <iarnell@gmail.com> 0.9.11-0.4.r2177
- update to current svn revision to remove "status updates"

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-0.3.r2111
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 03 2009 Iain Arnell <iarnell@gmail.com> 0.9.11-0.2.r2111
- fix license tag (GPLv2+)
- don't pass -O3 to gcc
- doesn't BR subversion

* Sat May 02 2009 Iain Arnell <iarnell@gmail.com> 0.9.11-0.1.r2111
- initial release
